"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_datetime_picker2 = common_vendor.resolveComponent("uni-datetime-picker");
  _easycom_uni_datetime_picker2();
}
const _easycom_uni_datetime_picker = () => "../../uni_modules/uni-datetime-picker/components/uni-datetime-picker/uni-datetime-picker.js";
if (!Math) {
  _easycom_uni_datetime_picker();
}
const _sfc_main = {
  __name: "register",
  setup(__props) {
    const type = common_vendor.ref("");
    const authValue = common_vendor.ref(false);
    const list = common_vendor.ref([
      {
        id: 1,
        name: "张三",
        number: "145225225425",
        isChecked: false
      },
      {
        id: 2,
        name: "李四",
        number: "145225225425",
        isChecked: true
      }
    ]);
    common_vendor.onLoad((options) => {
      type.value = options.type;
    });
    const handleClick = (item) => {
      item.isChecked = !item.isChecked;
    };
    const handleAuth = () => {
      authValue.value = !authValue.value;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: type.value == 2
      }, type.value == 2 ? {} : {}, {
        b: type.value == 2
      }, type.value == 2 ? {} : {}, {
        c: type.value == 1
      }, type.value == 1 ? {} : {}, {
        d: type.value == 1
      }, type.value == 1 ? {
        e: common_vendor.f(list.value, (item, k0, i0) => {
          return {
            a: item.isChecked,
            b: common_vendor.t(item.name),
            c: common_vendor.t(item.number),
            d: item.id,
            e: common_vendor.o(($event) => handleClick(item), item.id)
          };
        })
      } : {}, {
        f: authValue.value,
        g: common_vendor.o(handleAuth),
        h: authValue.value ? 1 : ""
      });
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-0b2c2ae2"], ["__file", "E:/workSpace/WanZai_School_app/pagesReservation/register/register.vue"]]);
wx.createPage(MiniProgramPage);
